Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface SccpRoutingControlMBean

public abstract interface SccpRoutingControlMBean
extends SccpManagedObjectMBean

This interface defines the methods required by the SCCP Routing Control Function It defines methods to maintain management information concerning the SCCP routing control. SCCP routing control (SCRC): Upon receipt of a message from the MTP or from the SCCP connection-oriented/connectionless control, the SCCP routing control function provides the necessary routing functions to either :

- forward the message to the MTP for transfer, or
- pass the message the SCCP connection-oriented/connectionless control function.

One routing control shall exist per local Signalling Point, where multiple local Signalling Points are allowed. Therefore each instance of this Routing Control MBean shall have one Local (Own) Signalling Point associated with it.

The following statistics can be collected for this MBean

- SCCP_ROUTING_FAIL_NO_TRANS_FOR_ADD
- SCCP_ROUTING_FAIL_NO_TRANS_FOR_THIS_SPEC_ADD
- SCCP_ROUTING_FAIL_NETWORK_FAILURE
- SCCP_ROUTING_FAIL_NETWORK_CONGESTION
- SCCP_ROUTING_FAIL_SUBSYSTEM_FAIL
- SCCP_ROUTING_FAIL_SUBSYSTEM_CONGESTION
- SCCP_ROUTING_FAIL_UNEQUIPPED_USER
- SCCP_SYNTAX_ERROR_DETECTED
- SCCP_ROUTING_FAIL_UNQUALIFIED
- SCCP_REASSEMBLY_ERR_TIME_T_REASS_EXPIRY
- SCCP_REASSEMBLY_ERR_SEG_RECEIVED_OUT_OF_SEQ
- SCCP_REASSEMBLY_ERROR_NO_REASSEMBLY_SPACE
- SCCP_HOP_COUNTER_VIOLATION
- SCCP_MSG_TOO_LARGE_FOR_SEG
- SCCP_FAIL_OF_RELEASE_COMPLETE_SUPERVISION
- SCCP_TIMER_T_IAR_EXPIRY
- SCCP_PROVIDER_INI_RESET_OF_A_CONNECTION
- SCCP_PROVIDER_INI_RELEASE_OF_CONNECTION
- SCCP_SEG_ERR_SEG_FAIL

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- SCCP_ALARM_SSN_UNAVAILABLE_FAILURE
- SCCP_ALARM_QOS_TOO_LARGE
- SCCP_ALARM_QOS_REASSEMBLY_TIMEOUT
- SCCP_ALARM_QOS_SEGMENT_OUT_OF_ORDER
- SCCP_ALARM_QOS_NO_REASSEBLY_SPACE
- SCCP_ALARM_QOS_NO_SEGEMENTATION_SUPPORT
- SCCP_ALARM_QOS_REASSEMBLY_FAILURE
- SCCP_ALARM_QOS_NO_TRANSLATOR_FOR_ADDR
- SCCP_ALARM_QOS_NO_RULE_FOR_ADDR
- SCCP_ALARM_QOS_PC_NOT_AVAILABLE
- SCCP_ALARM_QOS_PC_CONGESTED
- SCCP_ALARM_QOS_SYNTAX_ERROR
- SCCP_ALARM_QOS_ROUTING_FAILURE
- SCCP_ALARM_QOS_HOP_COUNTER_VIOLATION

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- SCCP_ERROR_MSG_SYNTAX
- SCCP_ERROR_MSG_INVALID
- SCCP_ERROR_MSG_PARAM_OUT_OF_RANGE
- SCCP_ERROR_MSG_DECODING
- SCCP_ERROR_MSG_INVALID_TYPE
- SCCP_ERROR_ROUTING_ERROR

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName[]` | `getGlobalTitleEntries()` Returns an array of the ObjectNames of all Global Titles of this SCCP.
`ObjectName` | `getGlobalTitleEntry(java.lang.Integer index)` Returns the ObjectName of the specified Global Title entry of this SCCP.
`ObjectName` | `getOwnSignallingPoint()` Returns the ObjectName of the local Signalling Point governed by this routing control.
`ObjectName` | `getSccpTimerProfile()` Returns the ObjectName of the SCCP Timer Profile MBean containing the SCCP Timer values
`ObjectName` | `getSubsystem(java.lang.Integer index)` Returns the ObjectName of one of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point).
`ObjectName[]` | `getSubsystems()` Returns an array of ObjectNames of all the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point).
`java.lang.Boolean` | `hasGlobalTitle(ObjectName globalTitleEntry)` Indicates if a Global Title (identified by the specified ObjectName) is assocaited with this SCCP.
`void` | `setGlobalTitleEntries(ObjectName[] gtEntries)` Sets the list of Global Title Entries associated with this Routing Control.
`void` | `setGlobalTitleEntry(java.lang.Integer index, ObjectName gtEntry)` Set this Global Title Entry as the specified element in the Global Title Entry Array of this Routing Control.
`void` | `setOwnSignallingPoint(ObjectName ownSignallingPoint)` Sets the local Signalling Point (identified by the specified ObjectName) governed by this routing control.
`void` | `setSccpTimerProfile(ObjectName timerProfile)` Sets the SCCP Timer Profile containing the SCCP Timer values
`void` | `setSubsystem(java.lang.Integer index, ObjectName subsystem)` Sets one of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point).
`void` | `setSubsystems(ObjectName[] subsystems)` Sets all of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setOwnSignallingPoint

    public void setOwnSignallingPoint(ObjectName ownSignallingPoint)

  Sets the local Signalling Point (identified by the specified ObjectName) governed by this routing control.
  Parameters:
    `OwnSignallingPoint` - the ObjectName of the local Signalling Point

### getOwnSignallingPoint

    public ObjectName getOwnSignallingPoint()

  Returns the ObjectName of the local Signalling Point governed by this routing control.
  Returns:
    the ObjectName of the local Signalling Point governed by this routing control

### getSccpTimerProfile

    public ObjectName getSccpTimerProfile()

  Returns the ObjectName of the SCCP Timer Profile MBean containing the SCCP Timer values
  Returns:
    the ObjectName of the SCCP Timer Profile MBean

### setSccpTimerProfile

    public void setSccpTimerProfile(ObjectName timerProfile)

  Sets the SCCP Timer Profile containing the SCCP Timer values
  Parameters:
    `timerProfile` - the ObjectName of the SCCP Timer Profile

### getGlobalTitleEntries

    public ObjectName[] getGlobalTitleEntries()

  Returns an array of the ObjectNames of all Global Titles of this SCCP.
  Returns:
    an array of all the ObjectName of all Global Title Entries of this SCCP.

### getGlobalTitleEntry

    public ObjectName getGlobalTitleEntry(java.lang.Integer index)

  Returns the ObjectName of the specified Global Title entry of this SCCP.
  Returns:
    an array of the ObjectName of the specified Global Title Entry of this SCCP.

### setGlobalTitleEntries

    public void setGlobalTitleEntries(ObjectName[] gtEntries)
                               throws TooManyInstancesException

  Sets the list of Global Title Entries associated with this Routing Control.
  Parameters:
    `gtEntriesthe` - ObjectName of the Global Titles to be added.
  Throws:
    TooManyInstancesException - - if the size of gtEntries is greater than the number of Global Title Entries permitted for a Routing Control by this implementation.

### setGlobalTitleEntry

    public void setGlobalTitleEntry(java.lang.Integer index,
                                    ObjectName gtEntry)
                             throws TooManyInstancesException

  Set this Global Title Entry as the specified element in the Global Title Entry Array of this Routing Control.
  Parameters:
    `index` - the index of the element to be added.
    `gtEntry` - the ObjectName of the Global Title Entry to be added.
  Throws:
    TooManyInstancesException - - if index is greater than the number of Routing controls permitted for an SCCP Layer by this implementation.

### hasGlobalTitle

    public java.lang.Boolean hasGlobalTitle(ObjectName globalTitleEntry)

  Indicates if a Global Title (identified by the specified ObjectName) is assocaited with this SCCP.
  Returns:

    - true if the specified Global Title is associated with this SCCP.
    - false otherwise.

### getSubsystems

    public ObjectName[] getSubsystems()

  Returns an array of ObjectNames of all the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point). These may represent either Local or Remote Subsystems
  Returns:
    an array of ObjectNames of SCCP Access Points (Subsystems)

### getSubsystem

    public ObjectName getSubsystem(java.lang.Integer index)

  Returns the ObjectName of one of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point). These may represent either Local or Remote Subsystems
  Parameters:
    `index` - the index of the Subsystem within the set of local Subsystems.
  Returns:
    the ObjectName of the SCCP Access Point (Subsystem)

### setSubsystems

    public void setSubsystems(ObjectName[] subsystems)
                       throws TooManyInstancesException

  Sets all of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point). These may represent either Local or Remote Subsystems
  Parameters:
    `subsystems` - the ObjectName of the SCCP Access Points
  Throws:
    TooManyInstancesException - - if the size of subsystems is greater than the number of Subsystems permitted by this implementation.

### setSubsystem

    public void setSubsystem(java.lang.Integer index,
                             ObjectName subsystem)
                      throws TooManyInstancesException

  Sets one of the Subsystems (SCCP Access Points) associated with the SCCP Routing Control (local signalling Point). These may represent either Local or Remote Subsystems
  Parameters:
    `index` - the index of the Subsystem within the set of Subsystems.
    `subsystem` - the ObjectName of the SCCP Access Point to be added.
  Throws:
    TooManyInstancesException - - if index is greater than the number of Subsystems permitted by this implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems